CFLAGS=-std=gnu++20 -g -Wall -lgtest -lpthread

all: main

main: main.cpp
	g++ $? $(CFLAGS) -I../../src -o $@ ../../bin/stringbuilder.o ../../bin/sysinfo.o

run:
	chmod u+x main && ./main
clean:
	rm main